**Source URL:** https://limited.veevavault.dev/clinical/vault-api/api-reference/23.1/documents/document-annotations/upload-document-version-annotations.md

# Upload Document Version Annotations



<Endpoint path="/api/{version}/objects/documents/{doc_id}/versions/{major_version}/{minor_version}/annotations" method="POST"></Endpoint>

## File Upload {#file-upload}

To upload the file, use the multi-part attachment with the file component `"file={file_name}"`. The maximum allowed file size is 4GB.

## Headers {#headers}

<FieldTable>
| Name | Description |
| --- | --- |
| `Content-Type` | `multipart/form-data` |
| `Accept` | `application/json` (default) or `application/xml` |
</FieldTable>

## URI Path Parameters {#uri-path-parameters}

<FieldTable>
| Name | Description |
| --- | --- |
| `{doc_id}` | The document `id` field value. |
| `{major_version}` | The document `major_version_number__v` field value. |
| `{minor_version}` | The document `minor_version_number__v` field value. |
</FieldTable>

## Request {#request}

<CodeExample title="">
```
curl -X POST -H "Authorization: {SESSION_ID}" \
-H "Content-Type: multipart/form-data" \
-F "file=document2016.pdf" \
https://myvault.veevavault.com/api/v15.0/objects/documents/548/versions/2/1/annotations

```
</CodeExample>

## Response {#response}

<CodeExample title="">
```
{
    "responseStatus": "SUCCESS",
    "responseMessage": "OK",
    "replies": 0,
    "failures": 0,
    "new": 0
}

```
</CodeExample>

## Response Details {#response-details}

On SUCCESS, Vault associates the uploaded file with the given rendition type for the document with the specified version number.



---

**Previous:** [Upload Document Annotations](/clinical/vault-api/api-reference/23.1/documents/document-annotations/upload-document-annotations)  
**Next:** [Document Relationships](/clinical/vault-api/api-reference/23.1/documents/document-relationships)